<div :class="{
    'vispa-ui-tab': true,
    'vispa-other-ws': !isCurrentWs,
  }" :style="style" @dragenter="focus">
  <span
    v-show="justIcon"
    class="vispa-comp-icon"
    @click="focus"
    >
    <button class="btn-nostyle">
      <i :class="iconClass | iconPrefix"></i>
    </button>
  </span>
  <menu-button
    v-show="!justIcon"
    :items="menuItems"
    class="vispa-comp-icon"
    btn-class="btn-nostyle vispa-caret-icon"
    v-ref:menu
    >
    <i :class="iconClass | iconPrefix">
      <i class="fa fa-caret-down"></i>
    </i>
  </menu-button>
  <span
    class="vispa-comp-label vispa-ui-handle"
    :title="title"
    @click.prevent="focus"
    @mouseup="mayClose"
    v-el:label
    >&nbsp;<div>{{labelShort}}</div></span>
  <span v-show="badge" class="vispa-comp-badge">
    <span class="badge">{{badge}}</span>
  </span>
  <span
    class="vispa-comp-close"
    @click.prevent="close"
    >
    <i :class="closeIconFinal | iconPrefix"></i>
  </span>
</div>
